import sys
import subprocess

p = subprocess.Popen(
    ['d:/cnf/chatbot_canifa/preference/chatbot-rsa/.venv/Scripts/python.exe', 'D:/cnf/chatbot_canifa/backend/datadb/test_rag_gpt4o_mini.py'],
    stdin=subprocess.PIPE,
    stdout=sys.stdout,
    stderr=sys.stderr,
    text=True,
    encoding='utf-8'
)
p.communicate(input='chính sách vận chuyển bên bạn\nexit\n')
